<xsl:transform version="1.0" xmlns:query="http://www.novell.com/nxsl/java/com.novell.nds.dirxml.driver.XdsQueryProcessor" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="destQueryProcessor"/>
	<!-- This stylesheet should be used as the last rule in the chain -->
	<!-- of the publisher command transformation rule for all drivers -->
	<!-- that wish to delegate all moves to a move proxy driver -->
	
	<!-- The first template implements the identity transform.		-->
	<!-- anything that doesn't match a more specific template will	-->
	<!-- be copied as is to the output 								-->
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*"/>
		</xsl:copy>
	</xsl:template>
	<!-- convert the move to a modify that sets the trigger attribute -->
	<xsl:template match="move">
		<xsl:variable name="newParent">
			<xsl:choose>
				<xsl:when test="string(parent/@dest-dn)">
					<xsl:value-of select="parent/@dest-dn"/>
				</xsl:when>
				<xsl:when test="parent/association/text()">
					<xsl:variable name="lookup">
						<query scope="entry">
							<xsl:copy-of select="parent/association"/>
							<read-attr/>
						</query>
					</xsl:variable>
					<xsl:value-of select="query:query($destQueryProcessor, $lookup)//instance/@src-dn"/>
				</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="string($newParent)">
				<modify>
					<xsl:apply-templates select="@*"/>
					<modify-attr attr-name="Object Class">
						<add-value>
							<value>DirXML-ApplicationAttrs</value>
						</add-value>
					</modify-attr>
					<modify-attr attr-name="DirXML-MoveProxyTrigger">
						<add-value>
							<value><xsl:value-of select="$newParent"/></value>
						</add-value>
					</modify-attr>
				</modify>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:transform>
