<xsl:transform version="1.0" xmlns:proxy="http://www.novell.com/move_proxy" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- The first template implements the identity transform.	-->
	<!-- anything that doesn't match a more specific template will	-->
	<!-- be copied as is to the output 								-->
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*"/>
		</xsl:copy>
	</xsl:template>
	<!-- remove the trigger attribute and convert the proxy:move to a real move -->
	<xsl:template match="proxy:move" priority="1">
		<modify>
			<xsl:apply-templates select="@*"/>
			<modify-attr attr-name="moveProxyTrigger">
				<remove-all-values/>
			</modify-attr>
			<modify-attr attr-name="Object Class">
				<remove-value>
					<value>moveProxySubject</value>
				</remove-value>
			</modify-attr>
		</modify>
		<move>
			<xsl:apply-templates select="node()|@*"/>
		</move>
	</xsl:template>
	<!-- Throw away all other child elements of the input	-->
	<xsl:template match="input/node()"/>
</xsl:transform>
