<xsl:transform version="1.0" xmlns:proxy="http://www.novell.com/move_proxy" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- The first template implements the identity transform.	-->
	<!-- anything that doesn't match a more specific template will	-->
	<!-- be copied as is to the output 								-->
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*"/>
		</xsl:copy>
	</xsl:template>
	<!-- match all modifies that add a value to moveProxyTrigger and convert to a proxy:move -->
	<!-- don't convert to a real move so that the subscriber move processor doesn't throw it -->
	<!-- out because it is unassociated -->
	<xsl:template match="modify" priority="1">
		<xsl:variable name="moveTarget" select="string(modify-attr[@attr-name = 'moveProxyTrigger']/add-value/value)"/>
		<xsl:if test="$moveTarget">
			<proxy:move dest-dn="{@src-dn}" dest-entry-id="{@src-entry-id}">
				<xsl:apply-templates select="@*"/>
				<parent dest-dn="{$moveTarget}"/>
			</proxy:move>
		</xsl:if>
	</xsl:template>
	<!-- Throw away all other child elements of the input	-->
	<xsl:template match="input/node()"/>
</xsl:transform>
